# TrackBarExtensions

Namespace: **Wisej.Web.Markup**

Assembly: **Wisej.Framework** (4.0.0.0)

Adds [fluent markup](https://learn.microsoft.com/en-us/dotnet/communitytoolkit/maui/markup/markup) extension methods to the [TrackBar](/api/wisej.web/editors/wisej.web.trackbar.md) class.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TrackBarExtensions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TrackBarExtensions
```

{% endtab %}
{% endtabs %}

## Methods

### ![](/files/lIX317sDtMTZJBi9oSIx) Maximum\<TTrackBar>(trackBar, maximum)

Sets the maximum value of the specified track bar.

| Parameter     | Type                                                                                 | Description               |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------- |
| **TTrackBar** |                                                                                      |                           |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.  |
| **maximum**   | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                          | The maximum value to set. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated maximum value.

### ![](/files/lIX317sDtMTZJBi9oSIx) Minimum\<TTrackBar>(trackBar, minimum)

Sets the minimum value of the specified track bar.

| Parameter     | Type                                                                                 | Description               |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------- |
| **TTrackBar** |                                                                                      |                           |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.  |
| **minimum**   | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                          | The minimum value to set. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated minimum value.

### ![](/files/lIX317sDtMTZJBi9oSIx) OnScroll\<TTrackBar>(trackBar, action)

Attaches an event handler to the Scroll event of the specified track bar.

| Parameter     | Type                                                                                 | Description                                               |
| ------------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------- |
| **TTrackBar** |                                                                                      |                                                           |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.                                  |
| **action**    | [Action\<TTrackBar>](https://docs.microsoft.com/dotnet/api/system.action-1)          | The action to perform when the Scroll event is triggered. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the event handler attached.

### ![](/files/lIX317sDtMTZJBi9oSIx) OnValueChanged\<TTrackBar>(trackBar, action)

Attaches an event handler to the ValueChanged event of the specified track bar.

| Parameter     | Type                                                                                 | Description                                                     |
| ------------- | ------------------------------------------------------------------------------------ | --------------------------------------------------------------- |
| **TTrackBar** |                                                                                      |                                                                 |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.                                        |
| **action**    | [Action\<TTrackBar>](https://docs.microsoft.com/dotnet/api/system.action-1)          | The action to perform when the ValueChanged event is triggered. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the event handler attached.

### ![](/files/lIX317sDtMTZJBi9oSIx) Orientation\<TTrackBar>(trackBar, orientation)

Sets the orientation of the specified track bar.

| Parameter       | Type                                                                                 | Description              |
| --------------- | ------------------------------------------------------------------------------------ | ------------------------ |
| **TTrackBar**   |                                                                                      |                          |
| **trackBar**    | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify. |
| **orientation** | [Orientation](/api/wisej.web/enumerations/wisej.web.orientation.md)                  | The orientation to set.  |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated orientation.

### ![](/files/lIX317sDtMTZJBi9oSIx) ShowValue\<TTrackBar>(trackBar, showValue)

Configures whether the value should be displayed on the specified track bar.

| Parameter     | Type                                                                                 | Description                                      |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------------------------------ |
| **TTrackBar** |                                                                                      |                                                  |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.                         |
| **showValue** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean)                      | Indicates whether the value should be displayed. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated display setting.

### ![](/files/lIX317sDtMTZJBi9oSIx) SmallChange\<TTrackBar>(trackBar, smallChange)

Sets the small change value of the specified track bar.

| Parameter       | Type                                                                                 | Description                    |
| --------------- | ------------------------------------------------------------------------------------ | ------------------------------ |
| **TTrackBar**   |                                                                                      |                                |
| **trackBar**    | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.       |
| **smallChange** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                          | The small change value to set. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated small change value.

### ![](/files/lIX317sDtMTZJBi9oSIx) TickFrequency\<TTrackBar>(trackBar, tickFrequency)

Sets the tick frequency of the specified track bar.

| Parameter         | Type                                                                                 | Description                |
| ----------------- | ------------------------------------------------------------------------------------ | -------------------------- |
| **TTrackBar**     |                                                                                      |                            |
| **trackBar**      | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify.   |
| **tickFrequency** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                          | The tick frequency to set. |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated tick frequency.

### ![](/files/lIX317sDtMTZJBi9oSIx) TickStyle\<TTrackBar>(trackBar, tickStyle)

Sets the tick style of the specified track bar.

| Parameter     | Type                                                                                 | Description              |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------ |
| **TTrackBar** |                                                                                      |                          |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify. |
| **tickStyle** | [TickStyle](/api/wisej.web/enumerations/wisej.web.tickstyle.md)                      | The tick style to set.   |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated tick style.

### ![](/files/lIX317sDtMTZJBi9oSIx) Value\<TTrackBar>(trackBar, value)

Sets the value of the specified track bar.

| Parameter     | Type                                                                                 | Description              |
| ------------- | ------------------------------------------------------------------------------------ | ------------------------ |
| **TTrackBar** |                                                                                      |                          |
| **trackBar**  | [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md) | The track bar to modify. |
| **value**     | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                          | The value to set.        |

**Returns:** [TTrackBar](/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md). The modified track bar with the updated value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web.markup/extensions/wisej.web.markup.trackbarextensions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
